package com.sooka.sponest.monitor.device.domain;

import lombok.Data;

import java.util.HashMap;
import java.util.Map;
/**
 *  监控中心基础实体
 * */
@Data
public class MonitorBaseEntity {

    private String id;
    private String deviceCode;
    private String createTime;

    /** 请求参数 */
    private Map<String, Object> params;

    public Map<String, Object> getParams()
    {
        if (params == null)
        {
            params = new HashMap<>();
        }
        return params;
    }

    public void setParams(Map<String, Object> params)
    {
        this.params = params;
    }
}
